from typing import Literal

from common import config

from . import assets

config.add_default(assets)


class UnsupportedError(RuntimeError): ...


type Backend = Literal["auto", "z3", "cvc5", "mona"]
"""Backend for SymStruct checking and finding. 
The `auto` backend uses `cvc5` for LIA theory and `mona` for strings"""


DUMMY_SORT = "__dummy"
